#version=RHEL8
# Use graphical install

install
keyboard 'us'
lang zh_CN
text
skipx

selinux --disabled
timezone Asia/Shanghai
auth  --useshadow  --passalgo=sha512

url --url="http://ipaddress/redhat/c7"
#autopart --type=lvm
zerombr
bootloader --location=mbr
clearpart --all --initlabel

part /boot --fstype="ext4" --size=1024
part swap  --fstype="swap" --size=4096
part /     --fstype="xfs"  --grow

reboot
rootpw --plaintext 123456

%post --interpreter=/usr/bin/bash
useradd admin
echo 123456 | passwd --stdin admin
sed -i 's/^#PermitRootLogin prohibit-password/PermitRootLogin yes/g' /etc/ssh/sshd_config
%end

%packages
@^infrastructure-server-environment
@base
@core
chrony
kexec-tools
%end

%addon com_redhat_kdump --disable --reserve-mb='auto'
%end

%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
